Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/odt/teitoodt.xsl	(revision 2397)
@@ -1,174 +1,218 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet
-    version="2.0"
-    xmlns:xs="http://www.w3.org/2001/XMLSchema"
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-    xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
-    xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
-    xmlns:dc="http://purl.org/dc/elements/1.1/"
-    xmlns:dom="http://www.w3.org/2001/xml-events"
-    xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
-    xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
-    xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
-    xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
-    xmlns:math="http://www.w3.org/1998/Math/MathML"
-    xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
-    xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
-    xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
-    xmlns:m="http://www.w3.org/1998/Math/MathML"
-    xmlns:atom="http://www.w3.org/2005/Atom"  
-    xmlns:estr="http://exslt.org/strings"
-    xmlns:xlink="http://www.w3.org/1999/xlink"
-    xmlns:xhtml="http://www.w3.org/1999/xhtml"
-    xmlns:dbk="http://docbook.org/ns/docbook"
-    xmlns:rng="http://relaxng.org/ns/structure/1.0"
-    xmlns:ooo="http://openoffice.org/2004/office"
-    xmlns:oooc="http://openoffice.org/2004/calc"
-    xmlns:ooow="http://openoffice.org/2004/writer"
-    xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
-    xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
-    xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
-    xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
-    xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
-    xmlns:xforms="http://www.w3.org/2002/xforms"
-    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
-    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xmlns:tei="http://www.tei-c.org/ns/1.0"
-    xmlns:teix="http://www.tei-c.org/ns/Examples"
-    office:version="1.0"
-    >
+<xsl:stylesheet version="2.0"
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
+	xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
+	xmlns:dc="http://purl.org/dc/elements/1.1/"
+	xmlns:dom="http://www.w3.org/2001/xml-events"
+	xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
+	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
+	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
+	xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
+	xmlns:math="http://www.w3.org/1998/Math/MathML"
+	xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
+	xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
+	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
+	xmlns:m="http://www.w3.org/1998/Math/MathML"
+	xmlns:atom="http://www.w3.org/2005/Atom"
+	xmlns:estr="http://exslt.org/strings"
+	xmlns:xlink="http://www.w3.org/1999/xlink"
+	xmlns:xhtml="http://www.w3.org/1999/xhtml"
+	xmlns:dbk="http://docbook.org/ns/docbook"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:ooo="http://openoffice.org/2004/office"
+	xmlns:oooc="http://openoffice.org/2004/calc"
+	xmlns:ooow="http://openoffice.org/2004/writer"
+	xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
+	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
+	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
+	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
+	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
+	xmlns:xforms="http://www.w3.org/2002/xforms"
+	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples" office:version="1.0">
 
-  <xsl:import href="../common2/core.xsl"/>
-  <xsl:param name="useFixedDate">false</xsl:param>
+	<xsl:import href="../common2/core.xsl" />
+	<xsl:param name="useFixedDate">
+		false
+	</xsl:param>
 
-    <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p> TEI stylesheet for making OpenOffice files from TEI XML.
-	 Originally derived from the OpenOffice /Docbook
-	 conversion, but largely rewritten </p>
-         <p>This software is dual-licensed:
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet for making OpenOffice files from TEI XML.
+				Originally derived from the OpenOffice /Docbook
+				conversion, but largely rewritten
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: teitoodt.xsl 10180 2012-03-25 14:48:46Z rahtz $</p>
-         <p>Copyright: 2008, TEI Consortium</p>
-      </desc>
-   </doc>
-  
-  <xsl:strip-space elements="teix:* rng:* xsl:* xhtml:* atom:* m:*"/>
-    <xsl:key name="W" match="image" use="@url"/>
-    <xsl:key name="H" match="image" use="@url"/>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: teitoodt.xsl 10180 2012-03-25 14:48:46Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
 
-  <xsl:output method="xml" omit-xml-declaration="no"/>
+	<xsl:strip-space
+		elements="teix:* rng:* xsl:* xhtml:* atom:* m:*" />
+	<xsl:key name="W" match="image" use="@url" />
+	<xsl:key name="H" match="image" use="@url" />
 
-  <xsl:decimal-format name="staff" digit="D"/>
-  <xsl:variable name="doc_type">TEI</xsl:variable>
-  <xsl:param name="useHeaderFrontMatter">false</xsl:param>
-  <xsl:param name="postQuote">’</xsl:param>
-  <xsl:param name="preQuote">‘</xsl:param>
-  <xsl:param name="outputDir">.</xsl:param>
-  <xsl:param name="freestanding">false</xsl:param>
-  <xsl:key name='IDS' match="tei:*[@xml:id]" use="@xml:id"/>
-  <xsl:key name='GRAPHICS' match="tei:graphic" use="1"/>
-  <xsl:key name="Page" match="style:page-layout-properties" use="1"/>
 
-  <xsl:template match="/">
-    <xsl:choose>
-      <xsl:when test="$freestanding='true'">
-	<xsl:result-document href="{concat($outputDir,'/meta.xml')}">
-	  <xsl:call-template name="META"/>
-	</xsl:result-document>
-	<office:document-content>
-	  <xsl:if test="$freestanding='true'">
-	  <xsl:for-each select="document(concat($outputDir,'/content.xml'))/office:document-content">
-	    <xsl:copy-of select="office:scripts"/>
-	    <xsl:copy-of select="office:font-face-decls"/>
-	    <xsl:copy-of select="office:automatic-styles"/>
-	  </xsl:for-each>
-	  </xsl:if>
-	  <office:body>
-	    <office:text>
-	      <xsl:apply-templates/>
-	    </office:text>
-	  </office:body>
-	</office:document-content>
-      </xsl:when>
-      <xsl:otherwise>
-	<office:document>
-	  <xsl:call-template name="META"/>
-	  <office:body>
-	    <office:text>
-	      <xsl:apply-templates/>
-	    </office:text>
-	  </office:body>
-	</office:document>
-      </xsl:otherwise>
-    </xsl:choose>
-    <xsl:result-document href="{concat($outputDir,'/META-INF/manifest.xml')}">
-      <manifest:manifest xmlns:manifest="urn:oasis:names:tc:opendocument:xmlns:manifest:1.0">
-	<manifest:file-entry manifest:media-type="application/vnd.oasis.opendocument.text" manifest:version="1.2" manifest:full-path="/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/statusbar/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/accelerator/current.xml"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/accelerator/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/floater/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/popupmenu/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/progressbar/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/menubar/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/toolbar/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/images/Bitmaps/"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Configurations2/images/"/>
-	<manifest:file-entry manifest:media-type="application/vnd.sun.xml.ui.configuration" manifest:full-path="Configurations2/"/>
-	<manifest:file-entry manifest:media-type="text/xml" manifest:full-path="content.xml"/>
-	<manifest:file-entry manifest:media-type="application/rdf+xml" manifest:full-path="manifest.rdf"/>
-	<manifest:file-entry manifest:media-type="text/xml" manifest:full-path="styles.xml"/>
-	<manifest:file-entry manifest:media-type="text/xml" manifest:full-path="meta.xml"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Thumbnails/thumbnail.png"/>
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Thumbnails/"/>
-	<manifest:file-entry manifest:media-type="text/xml"
-			     manifest:full-path="settings.xml"/>
-	<xsl:if test="count(key('GRAPHICS',1))&gt;0">
-	<manifest:file-entry manifest:media-type="" manifest:full-path="Pictures/"/>
-	<xsl:for-each select="key('GRAPHICS',1)">
-	  <xsl:variable name="imagetype"
-			select="tokenize(@url,'\.')[last()]"/>
-	  <manifest:file-entry>
-	    <xsl:attribute name="manifest:full-path">
+	<xsl:output method="xml" omit-xml-declaration="no" />
+
+	<xsl:decimal-format name="staff" digit="D" />
+	<xsl:variable name="doc_type">
+		TEI
+	</xsl:variable>
+	<xsl:param name="useHeaderFrontMatter">
+		false
+	</xsl:param>
+	<xsl:param name="postQuote">
+		’
+	</xsl:param>
+	<xsl:param name="preQuote">
+		‘
+	</xsl:param>
+	<xsl:param name="outputDir">
+		.
+	</xsl:param>
+	<xsl:param name="freestanding">
+		false
+	</xsl:param>
+	<xsl:key name='IDS' match="tei:*[@xml:id]" use="@xml:id" />
+	<xsl:key name='GRAPHICS' match="tei:graphic" use="1" />
+	<xsl:key name="Page" match="style:page-layout-properties"
+		use="1" />
+
+	<xsl:template match="/">
+		<xsl:choose>
+			<xsl:when test="$freestanding='true'">
+				<xsl:result-document
+					href="{concat($outputDir,'/meta.xml')}">
+					<xsl:call-template name="META" />
+				</xsl:result-document>
+				<office:document-content>
+					<xsl:if test="$freestanding='true'">
+						<xsl:for-each
+							select="document(concat($outputDir,'/content.xml'))/office:document-content">
+							<xsl:copy-of select="office:scripts" />
+							<xsl:copy-of select="office:font-face-decls" />
+							<xsl:copy-of select="office:automatic-styles" />
+						</xsl:for-each>
+					</xsl:if>
+					<office:body>
+						<office:text>
+							<xsl:apply-templates />
+						</office:text>
+					</office:body>
+				</office:document-content>
+			</xsl:when>
+			<xsl:otherwise>
+				<office:document>
+					<xsl:call-template name="META" />
+					<office:body>
+						<office:text>
+							<xsl:apply-templates />
+						</office:text>
+					</office:body>
+				</office:document>
+			</xsl:otherwise>
+		</xsl:choose>
+		<xsl:result-document
+			href="{concat($outputDir,'/META-INF/manifest.xml')}">
+			<manifest:manifest
+				xmlns:manifest="urn:oasis:names:tc:opendocument:xmlns:manifest:1.0">
+				<manifest:file-entry
+					manifest:media-type="application/vnd.oasis.opendocument.text"
+					manifest:version="1.2" manifest:full-path="/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/statusbar/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/accelerator/current.xml" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/accelerator/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/floater/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/popupmenu/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/progressbar/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/menubar/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/toolbar/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/images/Bitmaps/" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Configurations2/images/" />
+				<manifest:file-entry
+					manifest:media-type="application/vnd.sun.xml.ui.configuration"
+					manifest:full-path="Configurations2/" />
+				<manifest:file-entry
+					manifest:media-type="text/xml" manifest:full-path="content.xml" />
+				<manifest:file-entry
+					manifest:media-type="application/rdf+xml"
+					manifest:full-path="manifest.rdf" />
+				<manifest:file-entry
+					manifest:media-type="text/xml" manifest:full-path="styles.xml" />
+				<manifest:file-entry
+					manifest:media-type="text/xml" manifest:full-path="meta.xml" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Thumbnails/thumbnail.png" />
+				<manifest:file-entry manifest:media-type=""
+					manifest:full-path="Thumbnails/" />
+				<manifest:file-entry
+					manifest:media-type="text/xml" manifest:full-path="settings.xml" />
+				<xsl:if test="count(key('GRAPHICS',1))&gt;0">
+					<manifest:file-entry manifest:media-type=""
+						manifest:full-path="Pictures/" />
+					<xsl:for-each select="key('GRAPHICS',1)">
+						<xsl:variable name="imagetype"
+							select="tokenize(@url,'\.')[last()]" />
+						<manifest:file-entry>
+							<xsl:attribute name="manifest:full-path">
 	      <xsl:text>Pictures/resource</xsl:text>
-	      <xsl:number level="any"/>
+	      <xsl:number level="any" />
 	      <xsl:text>.</xsl:text>
-	      <xsl:value-of select="$imagetype"/>
+	      <xsl:value-of select="$imagetype" />
 	    </xsl:attribute>
-	    <xsl:attribute name="manifest:media-type">
+							<xsl:attribute name="manifest:media-type">
 	      <xsl:text>image/</xsl:text>
 	      <xsl:choose>
 		<xsl:when test="$imagetype='png'">png</xsl:when>
